<template>
  <div class="home-wrap">
    <div class="head-wrap">
      <div class="head-title">
        <p>员工积分商城</p>
      </div>
      <div class="head-search">
        <van-search 
          v-model="value"
          placeholder="请输入搜索关键词" 
          shape="round"/>
      </div>
      <div class="banner-wrap">
        <van-swipe class="my-swipe" :autoplay="3000" indicator-color="white">
          <van-swipe-item>1</van-swipe-item>
          <van-swipe-item>2</van-swipe-item>
        </van-swipe>
      </div>
    </div>
    <div class="grid-wrap">
      <van-grid :column-num="4">
        <van-grid-item
          v-for="value in classification"
          :key="value.id"
          :icon="value.img"
          :text="value.title"
        />
      </van-grid>
    </div>
    <div class="hot-goods">
      <h4><i></i><span>热门商品</span></h4>
      <Commodity/>
    </div>
  </div>
</template>

<script>
import {Button,Search, Swipe, SwipeItem,Grid, GridItem } from 'vant';
import Commodity from '../components/product/Commodity';
export default {
  name: 'Home',
  components: {
    [Button.name]: Button,
    [Search.name]: Search,
    [Swipe.name]: Swipe,
    [SwipeItem.name]: SwipeItem,
    [Grid.name]: Grid,
    [GridItem.name]: GridItem,
    Commodity
  },
  data(){
    return{
      value:null,
      info:null,
      classification:[
        {
          id:1,
          img:'https://img.yzcdn.cn/vant/ipad.jpeg',
          title:'奖自己'
        },
        {
          id:2,
          img:'https://img.yzcdn.cn/vant/ipad.jpeg',
          title:'送长辈'
        },
        {
          id:3,
          img:'https://img.yzcdn.cn/vant/ipad.jpeg',
          title:'送长辈'
        },
        {
          id:4,
          img:'https://img.yzcdn.cn/vant/ipad.jpeg',
          title:'送长辈'
        },
        {
          id:5,
          img:'https://img.yzcdn.cn/vant/ipad.jpeg',
          title:'送长辈'
        },
        {
          id:6,
          img:'https://img.yzcdn.cn/vant/ipad.jpeg',
          title:'送长辈'
        },
        {
          id:7,
          img:'https://img.yzcdn.cn/vant/ipad.jpeg',
          title:'送长辈'
        },
        {
          id:8,
          img:'https://img.yzcdn.cn/vant/ipad.jpeg',
          title:'送长辈'
        }
      ]
    }
  },
  created(){
    this.info=navigator.userAgent;
    console.log(this.info);
  },
  methods:{
    d(){
            this.$router.push({
                name:'About'
            })
        },
  }
}
</script>
<style lang="less" scoped>
    .home-wrap{
      height: auto;
      .head-wrap{
        background:linear-gradient(180deg,rgba(237,207,162,1) 0%,rgba(215,162,105,1) 100%);
        .head-title{
          font-size: 17px;
          p{
            text-align: center;
            line-height: 24px;
            color: #333333;
            font-weight:200;
          }
        }
        .head-search{
          /deep/.van-search{
            padding: 9.5px 8px 6.5px 8px;
            background-color: transparent;
          }
        }
        .banner-wrap{
          .van-swipe{
            height: 157.5px;
          }
          .my-swipe .van-swipe-item {
            color: #fff;
            font-size: 20px;
            line-height: 150px;
            text-align: center;
          }
        }
      }
      .hot-goods{
        h4{
          font-weight:bold;
          color:rgba(51,51,51,1);
          font-size:18px;
          line-height:18px;
          margin-top: 10px;
          i{
            display: inline-block;
            width: 1px;
            height: 12px;
            background-color: #D7A269;
            margin:0 5px 0 7.5px;
          }
        }
      }
      
    }
</style>

